Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1112036 - Spelling issues in several engine-config keys
Summary: Spelling issues in several engine-config keys
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Martin Perina
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-23 00:09 UTC by Andrew Dahms
Modified: 2016-02-10 19:14 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:06:54 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29060 master MERGED core: Fix ConfigValues.SSHInactivityTimoutSeconds name Never
oVirt gerrit 29061 master MERGED core: Fix ConfigValues.SSHInactivityHardTimoutSeconds name Never
oVirt gerrit 29062 master MERGED core: Fix ConfigValues.StorageDomainFalureTimeoutInMinutes name Never
oVirt gerrit 29063 master MERGED core: Fix ConfigValues.VdsLoadBalancingeIntervalInMinutes name Never
oVirt gerrit 29064 master MERGED core: Fix ConfigValues.VdsRecoveryTimeoutInMintues name Never
oVirt gerrit 29065 master MERGED core: Fix ConfigValues.UknownTaskPrePollingLapse name Never
oVirt gerrit 29066 master MERGED core: Fix ConfigValues.GlusterAysncTasksSupport name Never
oVirt gerrit 29067 master MERGED core: Fix ConfigValues.NormalizedMgmgNetworkEnabled name Never

Description Andrew Dahms 2014-06-23 00:09:17 UTC
Description of problem:
There are spelling issues in several of the configuration keys provided by the engine-config command.

Version-Release number of selected component (if applicable):
3.4

How reproducible:
100%

Steps to Reproduce:
1. List any of the following keys using the engine-config command:

SSHInactivityTimoutSeconds
SSHInactivityHardTimoutSeconds
StorageDomainFalureTimeoutInMinutes
VdsLoadBalancingeIntervalInMinutes

Actual results:
  As above.

Expected results:
  SSHInactivityTimeoutSeconds
  SSHInactivityHardTimeoutSeconds
  StorageDomainFailureTimeoutInMinutes
  VdsLoadBalancingIntervalInMinutes

Comment 1 Martin Perina 2014-06-23 10:52:57 UTC
There are also others fixed is this patch series:

VdsRecoveryTimeoutInMintues     -> VdsRecoveryTimeoutInMinutes
UknownTaskPrePollingLapse       -> UnknownTaskPrePollingLapse
GlusterAysncTasksSupport        -> GlusterAsyncTasksSupport
NormalizedMgmgNetworkEnabled    -> NormalizedMgmtNetworkEnabled

Comment 2 Jiri Belka 2014-07-29 14:41:02 UTC
# engine-config -l | egrep "SSHInactivityTimeoutSeconds|SSHInactivityHardTimeoutSeconds|StorageDomainFailureTimeoutInMinutes|VdsLoadBalancingIntervalInMinutes|VdsRecoveryTimeoutInMinutes|UnknownTaskPrePollingLapse|GlusterAsyncTasksSupport|NormalizedMgmtNetworkEnabled" | nl
     1  SSHInactivityTimeoutSeconds: "SSH Inactivity Timeout (in seconds)" (Value Type: Integer)
     2  SSHInactivityHardTimeoutSeconds: "SSH Inactivity Hard Timeout (in seconds)" (Value Type: Integer)
     3  StorageDomainFailureTimeoutInMinutes: "Storage Domain failure timeout" (Value Type: Integer)
     4  VdsLoadBalancingIntervalInMinutes: "Host Load Balancing Interval (in minutes)" (Value Type: Integer)
     5  VdsRecoveryTimeoutInMinutes: "Host Timeout when Recovering (in minutes)" (Value Type: Integer)

looks like following were dropped in recent developement...

UnknownTaskPrePollingLapse
GlusterAsyncTasksSupport
NormalizedMgmtNetworkEnabled

ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

Comment 3 Jiri Belka 2014-07-29 14:42:05 UTC
Am I right in #2?

Comment 4 Martin Perina 2014-07-30 11:17:53 UTC
> looks like following were dropped in recent developement...
> 
> UnknownTaskPrePollingLapse
> GlusterAsyncTasksSupport
> NormalizedMgmtNetworkEnabled
> 
> ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

Those three options are not accessible in engine-config, but they exist in db:

select * from vdc_options where option_name in ('UnknownTaskPrePollingLapse', 'GlusterAsyncTasksSupport', 'NormalizedMgmtNetworkEnabled')

Comment 5 Jiri Belka 2014-07-30 11:24:42 UTC
ok, ovirt-engine-dbscripts-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

Comment 6 Eyal Edri 2015-02-17 17:06:54 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.